osmo-gmr: GMR-1 GSMtap helpers

osmo-gmr 0.2.104-2b98 Osmocom GMR-1

Files | Functions | Variables
GMR-1 GSMtap helpers

## Files
file | gsmtap.h
| Osmocom GMR-1 GSMtap helpers header.
file | gsmtap.c
| Osmocom GMR-1 GSMtap helpers header.

## Functions
uint8_t | chantype_rsl2gsmtap2 (uint8_t rsl_chantype, uint8_t link_id, bool user_plane)
uint8_t | chantype_rsl2gsmtap (uint8_t rsl_chantype, uint8_t link_id)
void | chantype_gsmtap2rsl (uint8_t gsmtap_chantype, uint8_t *rsl_chantype, uint8_t *link_id)
struct msgb * | gsmtap_makemsg_ex (uint8_t type, uint16_t arfcn, uint8_t ts, uint8_t chan_type, uint8_t ss, uint32_t fn, int8_t signal_dbm, int8_t snr, const uint8_t *data, unsigned int len)
struct msgb * | gsmtap_makemsg (uint16_t arfcn, uint8_t ts, uint8_t chan_type, uint8_t ss, uint32_t fn, int8_t signal_dbm, int8_t snr, const uint8_t *data, unsigned int len)
int | gsmtap_inst_fd (struct gsmtap_inst *gti)
int | gsmtap_inst_fd2 (const struct gsmtap_inst *gti)
int | gsmtap_source_init_fd (const char *host, uint16_t port)
int | gsmtap_source_init_fd2 (const char *local_host, uint16_t local_port, const char *rem_host, uint16_t rem_port)
int | gsmtap_source_add_sink_fd (int gsmtap_fd)
struct gsmtap_inst * | gsmtap_source_init (const char *host, uint16_t port, int ofd_wq_mode)
struct gsmtap_inst * | gsmtap_source_init2 (const char *local_host, uint16_t local_port, const char *rem_host, uint16_t rem_port, int ofd_wq_mode)
void | gsmtap_source_free (struct gsmtap_inst *gti)
int | gsmtap_source_set_nonblock (struct gsmtap_inst *gti, int on)
int | gsmtap_source_add_sink (struct gsmtap_inst *gti)
bool | gsmtap_source_using_wq (const struct gsmtap_inst *gti)
int | gsmtap_sendmsg (struct gsmtap_inst *gti, struct msgb *msg)
int | gsmtap_sendmsg_free (struct gsmtap_inst *gti, struct msgb *msg)
int | gsmtap_send_ex (struct gsmtap_inst *gti, uint8_t type, uint16_t arfcn, uint8_t ts, uint8_t chan_type, uint8_t ss, uint32_t fn, int8_t signal_dbm, int8_t snr, const uint8_t *data, unsigned int len)
int | gsmtap_send (struct gsmtap_inst *gti, uint16_t arfcn, uint8_t ts, uint8_t chan_type, uint8_t ss, uint32_t fn, int8_t signal_dbm, int8_t snr, const uint8_t *data, unsigned int len)
struct msgb * | gmr1_gsmtap_makemsg (uint8_t chan_type, uint32_t fn, uint8_t tn, const uint8_t *l2, int len)
| Helper to build GSM tap message with GMR-1 payload. More...

## Variables
const struct value_string | gsmtap_gsm_channel_names []
const struct value_string | gsmtap_type_names []
const struct value_string | gsmtap_gsm_channel_names []
const struct value_string | gsmtap_type_names []

## Detailed Description

## Function Documentation

## ◆ gmr1_gsmtap_makemsg()

struct msgb * gmr1_gsmtap_makemsg | ( | uint8_t | chan_type,
|  | uint32_t | fn,
|  | uint8_t | tn,
|  | const uint8_t * | l2,
|  | int | len
| ) |  |

Helper to build GSM tap message with GMR-1 payload.

Parameters

  [in] | chan_type | Type of channel (one of GSMTAP_GMR1_xxx)
  [in] | l2 | Packet of L2 data to encapsulate
  [in] | len | Length of the l2 data in bytes

References gsmtap_hdr::antenna_nr, gsmtap_hdr::frame_number, GSMTAP_TYPE_GMR1_UM, GSMTAP_VERSION, gsmtap_hdr::hdr_len, msgb_alloc(), msgb_put(), gsmtap_hdr::signal_dbm, gsmtap_hdr::snr_db, gsmtap_hdr::sub_slot, gsmtap_hdr::sub_type, gsmtap_hdr::timeslot, gsmtap_hdr::type, and gsmtap_hdr::version.